Package Details: gjs-git 2:1.63.91+2+g6ea0f836-1

Git Clone URL: https://aur.archlinux.org/gjs-git.git (read-only, click to copy)
Package Base: gjs-git
Description: Javascript Bindings for GNOME
Upstream URL: https://gitlab.gnome.org/GNOME/gjs/blob/master/doc/Home.md
Licenses: GPL
Conflicts: gjs
Provides: gjs=1.63.91+2+g6ea0f836
Submitter: fisch02
Maintainer: fisch02 (titaniumtown)
Last Packager: fisch02
Votes: 0
Popularity: 0.000000
First Submitted: 2019-12-19 10:54
Last Updated: 2020-09-27 13:28

Required by (43)

Sources (1)

Latest Comments

carlosnewmusic commented on 2021-06-02 15:26

not work https://pastebin.com/DgbBmAtB

fisch02 commented on 2021-05-29 19:31

Could not repoduce, building the package works fine for me. It might be necessary to use the -git packages for some of the dependencies.

carlosnewmusic commented on 2021-05-23 19:50

             desde /var/tmp/pamac-build-user/gjs-git/src/build/g-ir-cpp-98gh_v94.c:4:

/usr/include/features.h:397:4: aviso: #warning _FORTIFY_SOURCE requires compiling with optimization (-O) [-Wcpp] 397 | # warning _FORTIFY_SOURCE requires compiling with optimization (-O) | ^~~~~~~ g-ir-scanner: link: gcc -pthread -o /var/tmp/pamac-build-user/gjs-git/src/build/tmp-introspecttfauxyon/GIMarshallingTests-1.0 -D_FORTIFY_SOURCE=2 -march=native -mtune=skylake -O3 -pipe -fno-plt /var/tmp/pamac-build-user/gjs-git/src/build/tmp-introspecttfauxyon/GIMarshallingTests-1.0.o -L. -Wl,-rpath,. -Wl,--no-as-needed -L./installed-tests/js -lgimarshallingtests -lglib-2.0 -lgobject-2.0 -lgio-2.0 -lgirepository-1.0 -lgio-2.0 -lgobject-2.0 -Wl,--export-dynamic -lgmodule-2.0 -pthread -lglib-2.0 -lglib-2.0 -Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now [42/119] Precompiling header ../gjs/gjs/gjs_pch.hh [43/119] Compiling C++ object test/gjs-tests-internal.p/gjs-test-rooting.cpp.o [44/119] Compiling C++ object test/gjs-tests-internal.p/gjs-test-toggle-queue.cpp.o ninja: build stopped: subcommand failed. ==> ERROR: Se produjo un fallo en build(). Cancelando...

Terence commented on 2020-04-27 23:02

Hey, can you add 'gjs=$pkgver' to the 'provides()' ? This way a package that depends on a specific version of gjs that is not yet available in the community repo can work with gjs-git.

titaniumtown commented on 2020-02-20 19:17

I was looking at this as well! I found that someone published a js68 package on feb 13 2020 in the extra repo.

A.J commented on 2020-02-01 15:02

this package require js68 which is not in the repo , could you build an aur for it ?